<apex:page showQuickActionVfHeader="false" standardController="Opportunity" extensions="Equipment_CSV_FileUploader_lex" showHeader="false" >
<apex:slds />
<script language="JavaScript" type="text/javascript">
    function CloseAndRefresh(){
        if(window.top.$A) {
  window.top.$A.get("e.force:closeQuickAction").fire();
}
  }
  
</script>
<style>
.button {
  font-size: 16px;
  position: relative;
  top: 20%;
  background: #fcffdc;
  color: #de204f;
  border: none;
  border-radius: 3px;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  padding: 20px 20px 20px 20px;
  display: inline-block;
  cursor: pointer;
  transition: background-color .4s;
}

.button:hover {
  color: white;
  background: gray;
  cursor: pointer;
  box-shadow: 0 0 20px rgba(250, 0, 20, 0.4);
}

</style>
<div class="slds-scope">
   <apex:form >
      <br/><br/><br/>
      <fieldset>
      <legend>Upload Equipment</legend>
      <p><font color="red"> <b>Note: Please use the standard template to upload Equipment. <a href="https://mydish.force.com/lex/servlet/servlet.FileDownload?file=01560000000hS8N" target="_blank"> Click here </a> to download the template. </b> </font></p>
      <apex:pagemessages />
      <apex:pageBlock id="pageBlock" rendered="{!showPage}" >
              <apex:inputFile filename="{!nameFile}" contentType=".csv" value="{!contentFile}" id="choose" /> 
              
              <apex:commandButton action="{!ReadFile}" value="Upload File"/>
              <apex:commandButton action="{!save}" value="Save"/>
              <center>        
      <apex:pageblocktable value="{!uploadedEquipment}" var="equipment" rendered="{!NOT(ISNULL(uploadedEquipment))}">
          <apex:column headerValue="Reciever R#">
              <apex:outputText value="{!equipment.Name}"/>
          </apex:column>
          <apex:column headerValue="Receiver S#">
              <apex:outputText value="{!equipment.Receiver_S__c}"/>
          </apex:column>
          <apex:column headerValue="Receiver Model">
              <apex:outputText value="{!equipment.Receiver_Model__c}"/>              
          </apex:column>
           <apex:column headerValue="Programming Package" rendered="{!IF(($CurrentPage.parameters.st == "QAM" || $CurrentPage.parameters.st == "SMATV" || $CurrentPage.parameters.st == "SMATV with L-Band Overlay" || $CurrentPage.parameters.st == "SMATV with QAM Overlay"), true, false)}">
                          <apex:inputField value="{!equipment.Programming__c}"/>
                                
           </apex:column>
                      <apex:column headerValue="Channel Name" rendered="{!IF(($CurrentPage.parameters.st == "QAM" || $CurrentPage.parameters.st == "SMATV" || $CurrentPage.parameters.st == "SMATV with L-Band Overlay" || $CurrentPage.parameters.st == "SMATV with QAM Overlay"), true, false)}">
                          <apex:inputField value="{!equipment.Channel__c}"/>
                                
           </apex:column>
          <apex:column headerValue="Status">
             <apex:outputText value="{!if((equipment.Programming__c='' && ($CurrentPage.parameters.st == "QAM" || $CurrentPage.parameters.st == "SMATV" || $CurrentPage.parameters.st == "SMATV with L-Band Overlay" || $CurrentPage.parameters.st == "SMATV with QAM Overlay")), 'Add Programming Package',
              if((equipment.Channel__c="" && ($CurrentPage.parameters.st == "QAM" || $CurrentPage.parameters.st == "SMATV" || $CurrentPage.parameters.st == "SMATV with L-Band Overlay" || $CurrentPage.parameters.st == "SMATV with QAM Overlay")), 'Add Channel Name','Success'))}" 
             style="{!if((equipment.Programming__c='' || equipment.Channel__c='' && ($CurrentPage.parameters.st == "QAM" || $CurrentPage.parameters.st == "SMATV" || $CurrentPage.parameters.st == "SMATV with L-Band Overlay" || $CurrentPage.parameters.st == "SMATV with QAM Overlay")), 'font-weight:bold;color:red', 'color:green')}"/>
          </apex:column>
        </apex:pageblocktable> 
      </center>              
      </apex:pageBlock>
         <br/>
         <br/>
         <apex:outputText escape="true" value="Reminder: If using dual-tuner receivers with the Premier package, italicized and non-italicized channels (as indicated on the Rate Card) cannot be put together on the same receiver. Only two italicized channels or two non-italicized channels can be put on the same dual-tuner receiver."
         style="Color:Red; font-weight:bold" rendered="{!IF(($CurrentPage.parameters.st == "QAM" || $CurrentPage.parameters.st == "SMATV" || $CurrentPage.parameters.st == "SMATV with L-Band Overlay" || $CurrentPage.parameters.st == "SMATV with QAM Overlay"), true, false)}" />     
</fieldset>
   </apex:form>  
</div>
</apex:page>